<section class="card">
  <div class="card__id-description">
    <h2 class="card__id"><app-id [id]="invoice.id"></app-id></h2>
    <span class="card__description">{{ invoice.description }}</span>
  </div>
  <p class="card__sender-address draft-color">
    <span class="card__sender-address__street">{{
      invoice.senderAddress.street
    }}</span>
    <span class="card__sender-address__city">{{
      invoice.senderAddress.city
    }}</span>
    <span class="card__sender-address__postCode">{{
      invoice.senderAddress.postCode
    }}</span>
    <span class="card__sender-address__country">{{
      invoice.senderAddress.country
    }}</span>
  </p>
  <div class="card__dates">
    <div class="card__labeled">
      <span class="card__labeled__label draft-color">Invoice Date</span>
      <p class="card__labeled__value">
        {{ invoice.createdAt | date: "dd MMM yyyy" }}
      </p>
    </div>
    <div class="card__labeled">
      <span class="card__labeled__label draft-color">Payment Due</span>
      <p class="card__labeled__value">
        {{ invoice.paymentDue | date: "dd MMM yyyy" }}
      </p>
    </div>
  </div>
  <div class="card__labeled">
    <span class="card__labeled__label draft-color">Bill To</span>
    <p class="card__labeled__value">
      {{ invoice.clientName }}
    </p>
    <p class="card__labeled__value-extra">
      <span class="card__client-address__street">{{
        invoice.clientAddress.street
      }}</span>
      <span class="card__client-address__city">{{
        invoice.clientAddress.city
      }}</span>
      <span class="card__client-address__postCode">{{
        invoice.clientAddress.postCode
      }}</span>
      <span class="card__client-address__country">{{
        invoice.clientAddress.country
      }}</span>
    </p>
  </div>
  <div class="card__labeled card__sent-to">
    <span class="card__labeled__label draft-color">Sent To</span>
    <p class="card__labeled__value">
      {{ invoice.clientEmail }}
    </p>
  </div>
  <div class="card__footer">
    <table class="card__footer__items">
      <thead>
        <tr class="card__footer__items__row draft-color">
          <th class="card__footer__items__row__heading set-mobile">
            Item Name
          </th>
          <th class="card__footer__items__row__heading hide-mobile">QTY.</th>
          <th class="card__footer__items__row__heading hide-mobile">Price</th>
          <th class="card__footer__items__row__heading">Total</th>
        </tr>
      </thead>
      <tbody>
        <tr class="card__footer__items__row" *ngFor="let item of invoice.items">
          <td class="card__footer__items__row__data set-mobile">
            {{ item.name }}
          </td>
          <td class="card__footer__items__row__data hide-mobile">
            {{ item.quantity }}
          </td>
          <td class="card__footer__items__row__data hide-mobile">
            {{ item.price | currency: "":"" | pesoSign }}
          </td>
          <td class="card__footer__items__row__data">
            {{ item.total | currency: "":"" | pesoSign }}
          </td>
        </tr>
      </tbody>
    </table>
    <div class="card__footer__total">
      <span class="card__footer__total__label">Amount Due</span>
      <p class="card__footer__total__value">
        {{ invoice.total | currency: "":"" | pesoSign }}
      </p>
    </div>
  </div>
</section>
